Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STScriptObject class documentation

### Authors

Generated by Debian

Date: Generated at 2026-02-09 22:49:36 +0000

### Contents -

1. Software documentation for the STScriptObject class
2. Software documentation for the STScriptObject protocol

# Software documentation for the STScriptObject class

## STScriptObject : NSObject

> Declared in:
>   StepTalk/STScriptObject.h

> Conforms to:
>   NSCoding
>   STScriptObject

Description forthcoming.

Instance Variables

### Method summary

- +scriptObject
- -addMethod:
- -environment
- -initWithInstanceVariableNames:
- -instanceVariableNames
- -methodDictionary
- -methodNames
- -methodWithName:
- -objectForVariable:
- -removeMethod:
- -removeMethodWithName:
- -setEnvironment:
- -setObject:forVariable:

### scriptObject

+ (id) scriptObject;
Return new instance of script object without any instance variables

### addMethod:

- (void) addMethod: (id<STMethod>)aMethod;
Description forthcoming.

### environment

- (STEnvironment*) environment;
Description forthcoming.

### initWithInstanceVariableNames:

- (id) initWithInstanceVariableNames: (NSString*)names;
Description forthcoming.

### instanceVariableNames

- (NSArray*) instanceVariableNames;
Description forthcoming.

### methodDictionary

- (NSDictionary*) methodDictionary;
Description forthcoming.

### methodNames

- (NSArray*) methodNames;
Description forthcoming.

### methodWithName:

- (id<STMethod>) methodWithName: (NSString*)aName;
Description forthcoming.

### objectForVariable:

- (id) objectForVariable: (NSString*)aName;
Description forthcoming.

### removeMethod:

- (void) removeMethod: (id<STMethod>)aMethod;
Description forthcoming.

### removeMethodWithName:

- (void) removeMethodWithName: (NSString*)aName;
Description forthcoming.

### setEnvironment:

- (void) setEnvironment: (STEnvironment*)env;
Set object's environment. Note: This method should be replaced by some other, more clever mechanism.

### setObject: forVariable:

- (void) setObject: (id)anObject forVariable: (NSString*)aName;
Description forthcoming.

## Instance Variables for STScriptObject Class

### environment

@protected STEnvironment* environment;
Description forthcoming.

### ivars

@protected NSMutableDictionary* ivars;
Description forthcoming.

### methodDictionary

@protected NSMutableDictionary* methodDictionary;
Description forthcoming.

# Software documentation for the STScriptObject protocol

## STScriptObject

> Declared in:
>   StepTalk/STScriptObject.h

Description forthcoming.

### Method summary

- -instanceVariableNames

### instanceVariableNames

- (NSArray*) instanceVariableNames;
Description forthcoming.

Up